from datetime import datetime
from typing import List, Optional, Dict, Any

from janis_core import *
from janis_core.types.common_data_types import String, File, Boolean

Anvi_Export_Contigs_V0_1_0 = CommandToolBuilder(tool="anvi_export_contigs", base_command=["anvi-export-contigs"], inputs=[ToolInput(tag="in_anvianvigencontigsdatabase_default_none", input_type=String(optional=True), prefix="--contigs-db", doc=InputDocumentation(doc="Anvi'o contigs database generated by 'anvi-gen-\ncontigs-database' (default: None)")), ToolInput(tag="in_contigs_of_interest", input_type=File(optional=True), prefix="--contigs-of-interest", doc=InputDocumentation(doc="It is possible to focus on only a set of contigs. If\nyou would like to do that and ignore the rest of the\ncontigs in your contigs database, use this parameter\nwith a flat file every line of which desribes a single\ncontig name. (default: None)")), ToolInput(tag="in_splits_mode", input_type=Boolean(optional=True), prefix="--splits-mode", doc=InputDocumentation(doc="Export split sequences instead. (default: False)")), ToolInput(tag="in_output_file", input_type=File(optional=True), prefix="--output-file", doc=InputDocumentation(doc="File path to store results. (default: None)")), ToolInput(tag="in_just_do_it", input_type=Boolean(optional=True), prefix="--just-do-it", doc=InputDocumentation(doc="Don't bother me with questions or warnings, just do\nit. (default: False)")), ToolInput(tag="in_no_wrap", input_type=File(optional=True), prefix="--no-wrap", doc=InputDocumentation(doc="Do not be wrap sequences nicely in the output file.\n(default: False)")), ToolInput(tag="in__can_provide", input_type=String(), position=0, doc=InputDocumentation(doc="🍕 Can provide: ")), ToolInput(tag="in_contigs_fast_a", input_type=String(), position=1, doc=InputDocumentation(doc="🍺 More on `anvi-export-contigs`:"))], outputs=[ToolOutput(tag="out_output_file", output_type=File(optional=True), selector=InputSelector(input_to_select="in_output_file", type_hint=File()), doc=OutputDocumentation(doc="File path to store results. (default: None)")), ToolOutput(tag="out_no_wrap", output_type=File(optional=True), selector=InputSelector(input_to_select="in_no_wrap", type_hint=File()), doc=OutputDocumentation(doc="Do not be wrap sequences nicely in the output file.\n(default: False)"))], container="quay.io/biocontainers/anvio-minimal:7--py_0", version="v0.1.0")


if __name__ == "__main__":
    # or "cwl"
    Anvi_Export_Contigs_V0_1_0().translate("wdl")

